# We have a conf and classes directory, add to BBPATH
BBPATH .= ":${LAYERDIR}"

# We have recipes-* directories, add to BBFILES
BBFILES += "${LAYERDIR}/recipes-*/*/*.bb \
            ${LAYERDIR}/recipes-*/*/*.bbappend"

BBFILE_COLLECTIONS += "meta-belden-coreos"
BBFILE_PATTERN_meta-belden-coreos = "^${LAYERDIR}/"
BBFILE_PRIORITY_meta-belden-coreos = "6"

LAYERDEPENDS_meta-belden-coreos = "\
    core \
    openembedded-layer \
    networking-layer \
    virtualization-layer \
    webserver \
    meta-arm \
"

LAYERSERIES_COMPAT_meta-belden-coreos = "kirkstone"

# Set a variable to get to the top of the metadata location
COREOS_ROOT = '${@os.path.normpath("${LAYERDIR}/../../")}'

# Sanity Checks
# ==============================================================================

INHERIT += "coreos-sanity"
